Integrations
Get an integration
Scope: integration:read
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Path Parameters
integration_id*integration_id
The integration_id path parameter.
Match
^int-[0-9a-z]+$Response Body
application/json
curl -X GET "https://example.com/v1/integrations/string"{ "integration": { "id": "string", "name": "string", "kind": "KIND_UNSPECIFIED", "status": "STATUS_UNSPECIFIED", "status_reason": "string", "settings": { "github": { "installation_id": "string", "account_login": "string", "account_type": "ACCOUNT_TYPE_UNSPECIFIED", "repository_selection": "REPOSITORY_SELECTION_UNSPECIFIED", "repositories": [ "string" ], "url": "string", "suspended_at": "2023-01-15T01:30:15.01Z" } }, "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}